Search processing.org:

Reference for Processing version 1.0+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### brightness()

Examples

    noStroke();
    colorMode(HSB, 255);
    color c = color(0, 126, 255);
    fill(c);
    rect(15, 20, 35, 60);
    float value = brightness(c);  // Sets "value" to "255"
    fill(value);
    rect(50, 20, 35, 60);

Description | Extracts the brightness value from a color.

Syntax

    brightness(color)

Parameters

color | any value of the color datatype

Returns | float
Usage | Web & Application
Related | red() green() blue() hue() saturation()

Updated on November 22, 2008 08:39:25pm PST